#ifndef __renderer_h__
#define __renderer_h__

typedef struct 
{
  int   theta;
  int   psi;
  float distance;
} view_state_t;

extern view_state_t view_state;

int renderer_init(void);

void renderer_reshape(int w, int h);

void renderer_display(void);

void renderer_kill(void);

#endif /* __renderer_h__ */
